./SIAC-HOST-CONFIG(1)

NAME

./siac-host-config - Modify host settings

SYNOPSIS

./siac host config [setting] [value]

DESCRIPTION

Modify host settings.

Available settings:
     acceptingcontracts: boolean
     maxduration: blocks
     maxdownloadbatchsize: bytes
     maxrevisebatchsize: bytes
     netaddress: string
     windowsize: blocks

     collateral:       currency
     collateralbudget: currency
     maxcollateral:    currency
     mincontractprice:          currency
     mindownloadbandwidthprice: currency / TB
     minstorageprice:           currency / TB / Month
     minuploadbandwidthprice:   currency / TB

Currency units can be specified, e.g. 10SC; run 'siac help wallet' for details.

Durations (maxduration and windowsize) must be specified in either blocks (b), hours (h), days (d), or weeks (w). A block is approximately 10 minutes, so one hour is six blocks, a day is 144 blocks, and a week is 1008 blocks.

For a description of each parameter, see doc/API.md.

To configure the host to accept new contracts, set acceptingcontracts to true:
    siac host config acceptingcontracts true

OPTIONS INHERITED FROM PARENT COMMANDS

-a, --addr="localhost:9980"
    which host/port to communicate with (i.e. the host/port siad is listening on)

SEE ALSO

./siac-host(1)

HISTORY

29-Apr-2017 Auto generated by spf13/cobra